"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("lodash");
var CodeMirrorChangeEvent = /** @class */ (function () {
    function CodeMirrorChangeEvent(editor, changeEvent) {
        this.editor = editor;
        this.changeEvent = changeEvent;
    }
    CodeMirrorChangeEvent.prototype.hasDeleteEditChange = function () {
        var removedText = this.changeEvent.removed.join('').trim();
        return (this.changeEvent.origin === '+delete' && !_.isEmpty(removedText));
    };
    CodeMirrorChangeEvent.prototype.hasInsertEditChange = function () {
        var changedText = this.changeEvent.text.join('').trim();
        return (this.changeEvent.origin === '+input' && !_.isEmpty(changedText));
    };
    return CodeMirrorChangeEvent;
}());
exports.CodeMirrorChangeEvent = CodeMirrorChangeEvent;
//# sourceMappingURL=codemirror-change-event.js.map